Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyType

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

All Implemented Interfaces:
  `GroovyType`

public class SimpleGroovyType extends Object implements GroovyType
Simple immutable `GroovyType` implementation backed by a type name string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyType(String typeName)`
  Creates a type wrapper for the supplied name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPrimitive()`
  Indicates whether this type is a Java primitive type.
  `String`
  `qualifiedTypeName()`
  The qualified name of this type excluding any dimension information.
  `String`
  `simpleTypeName()`
  The unqualified name of this type excluding any dimension or nesting information.
  `String`
  `typeName()`
  The unqualified name of this type excluding any dimension information.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyType

  `toString`

- ## Constructor Details

  - ### SimpleGroovyType

    public SimpleGroovyType(String typeName)
    Creates a type wrapper for the supplied name.
    Parameters:
      `typeName` - the type name to expose

- ## Method Details

  - ### typeName

    public String typeName()
    The unqualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`String`".
    Specified by:
      `typeName` in interface `GroovyType`

  - ### isPrimitive

    public boolean isPrimitive()
    Indicates whether this type is a Java primitive type.
    Specified by:
      `isPrimitive` in interface `GroovyType`
    Returns:
      `true` if this type is primitive

  - ### qualifiedTypeName

    public String qualifiedTypeName()
    The qualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`java.lang.String`".
    Specified by:
      `qualifiedTypeName` in interface `GroovyType`

  - ### simpleTypeName

    public String simpleTypeName()
    The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".
    Specified by:
      `simpleTypeName` in interface `GroovyType`